clang 8.0.0

Public Member Functions | Friends | List of all members
clang::RawCommentList Class Reference

This class represents all comments included in the translation unit, sorted in order of appearance in the translation unit. More...

`#include "clang/AST/RawCommentList.h"`

## Public Member Functions
| RawCommentList (SourceManager &SourceMgr)
void | addComment (const RawComment &RC, const CommentOptions &CommentOpts, llvm::BumpPtrAllocator &Allocator)
ArrayRef< RawComment * > | getComments () const

## Friends
class | ASTReader

## Detailed Description

This class represents all comments included in the translation unit, sorted in order of appearance in the translation unit.

Definition at line 193 of file RawCommentList.h.

## Constructor & Destructor Documentation

## ◆ RawCommentList()

clang::RawCommentList::RawCommentList | ( | SourceManager & | SourceMgr | ) |
| inline

Definition at line 195 of file RawCommentList.h.

## Member Function Documentation

## ◆ addComment()

void RawCommentList::addComment | ( | const RawComment & | RC,
|  | const CommentOptions & | CommentOpts,
|  | llvm::BumpPtrAllocator & | Allocator
| ) |  |

Definition at line 273 of file RawCommentList.cpp.

Referenced by clang::ASTContext::addComment().

## ◆ getComments()

ArrayRef<RawComment *> clang::RawCommentList::getComments | ( |  | ) | const
| inline

Definition at line 200 of file RawCommentList.h.

Referenced by clang::ASTContext::getRawCommentForDeclNoCache().

## Friends And Related Function Documentation

## ◆ ASTReader

friend class ASTReader
| friend

Definition at line 210 of file RawCommentList.h.

The documentation for this class was generated from the following files:

- include/clang/AST/RawCommentList.h
- lib/AST/RawCommentList.cpp